﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using Xamarin.Forms;

namespace App15
{
    public class CrossingUIModel: INotifyPropertyChanged
    {
        public int Id { get; set; }
        public string FieldValue { get; set; }

      

        private Color _myColor;

        public Color MyColor
        {
            get { return _myColor; }
            set
            {
                _myColor = value;
                OnPropertyChanged(nameof(MyColor));
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

    }
}
